Перейти к содержимому
R-Service R-Service
Руководство разработчика RR Tech Service Management

Organizations - People API

Эта документация пока недоступна на вашем языке, поэтому показана английская версия.

List all people of the organization with a specific ID.

GET /organizations/:id/people
Status: 200 OK
[
{
"name": "Ashok Kumar",
"created_at": "2016-03-14T03:09:55-06:00",
"sourceID": null,
"updated_at": "2016-03-14T03:10:31-06:00",
"manager": {
"name": "Howard Tanner",
"id": 5
},
"id": 30,
"site": {
"name": "Widget Data Center",
"id": 13
},
"organization": {
"name": "Widget Data Center, External IT",
"id": 30
},
"disabled": false
},
{
"name": "Barney Turban",
"created_at": "2016-03-14T03:09:57-06:00",
"sourceID": null,
"updated_at": "2016-03-14T03:10:32-06:00",
"manager": {
"name": "Howard Tanner",
"id": 5
},
"id": 58,
"site": {
"name": "Widget Data Center",
"id": 13
},
"organization": {
"name": "Widget Data Center, External IT",
"id": 30
},
"disabled": false
},
"..."
]

The response contains these fields by default.

The following predefined filters are available:

  • /organizations/:id/people/disabled : List all disabled people of an organization with a specific ID
  • /organizations/:id/people/enabled : List all enabled people of an organization with a specific ID